package com.iamberry.wechat.core.entity.integral;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  积分商城订单邮寄信息类
 * @author Administrator
 * @Date 2018-04-28
 */
public class IntegralOrderAddress  implements  Serializable{
    private static final long serialVersionUID = -5275095918085436844L;
    //订单邮寄信息id
    private Integer orderAddressId;
    //订单id
    private String integralOrderId;
    //
    private String orderAddressPostNum;
    //
    private String orderAddressPostFirm;
    //状态 1:已支付未发货 2:已发货
    private Integer orderAddressStatus;
    //发货时间
    private Date orderAddressSendDate;
    //详细地址
    private String orderAddressAddressInfo;
    //邮编
    private String orderAddressAddressPostnum;
    //收件人电话
    private String orderAddressAddressTel;
    //收件人姓名'
    private String orderAddressAddressName;

    public Integer getOrderAddressId(){
        return orderAddressId;
    }

    public void setOrderAddressId(Integer  orderAddressId){
        this.orderAddressId=orderAddressId;
    }

    public String getIntegralOrderId(){
        return integralOrderId;
    }

    public void setIntegralOrderId(String  integralOrderId){
        this.integralOrderId=integralOrderId;
    }

    public String getOrderAddressPostNum(){
        return orderAddressPostNum;
    }

    public void setOrderAddressPostNum(String  orderAddressPostNum){
        this.orderAddressPostNum=orderAddressPostNum;
    }

    public String getOrderAddressPostFirm(){
        return orderAddressPostFirm;
    }

    public void setOrderAddressPostFirm(String  orderAddressPostFirm){
        this.orderAddressPostFirm=orderAddressPostFirm;
    }

    public Integer getOrderAddressStatus(){
        return orderAddressStatus;
    }

    public void setOrderAddressStatus(Integer  orderAddressStatus){
        this.orderAddressStatus=orderAddressStatus;
    }

    public Date getOrderAddressSendDate(){
        return orderAddressSendDate;
    }

    public void setOrderAddressSendDate(Date  orderAddressSendDate){
        this.orderAddressSendDate=orderAddressSendDate;
    }

    public String getOrderAddressAddressInfo(){
        return orderAddressAddressInfo;
    }

    public void setOrderAddressAddressInfo(String  orderAddressAddressInfo){
        this.orderAddressAddressInfo=orderAddressAddressInfo;
    }

    public String getOrderAddressAddressPostnum(){
        return orderAddressAddressPostnum;
    }

    public void setOrderAddressAddressPostnum(String  orderAddressAddressPostnum){
        this.orderAddressAddressPostnum=orderAddressAddressPostnum;
    }

    public String getOrderAddressAddressTel(){
        return orderAddressAddressTel;
    }

    public void setOrderAddressAddressTel(String  orderAddressAddressTel){
        this.orderAddressAddressTel=orderAddressAddressTel;
    }

    public String getOrderAddressAddressName(){
        return orderAddressAddressName;
    }

    public void setOrderAddressAddressName(String  orderAddressAddressName){
        this.orderAddressAddressName=orderAddressAddressName;
    }
}